Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiCompletionChoice

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiCompletionChoice

Direct Known Subclasses:
  `OpenAiChatCompletionChoice`, `OpenAiDeltaChatCompletionChoice`

@Deprecated public class OpenAiCompletionChoice extends Object
Deprecated.
Result for OpenAI chat completion output.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiCompletionChoice()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `OpenAiContentFilterPromptResults`
  `getContentFilterResults()`
  Deprecated.
  Information about the content filtering category, if it has been detected, as well as the severity level and if it has been filtered or not.
  `String`
  `getFinishReason()`
  Deprecated.
  Reason for finish.
  `Integer`
  `getIndex()`
  Deprecated.
  Index of choice.
  `int`
  `hashCode()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiCompletionChoice

    public OpenAiCompletionChoice()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### getFinishReason

    @Nullable public String getFinishReason()
    Deprecated.
    Reason for finish. The possible values are:

    `stop`: API returned complete message, or a message terminated by one of the stop sequences provided via the stop parameter

    `length`: Incomplete model output due to max_tokens parameter or token limit

    `function_call`: The model decided to call a function

    `content_filter`: Omitted content due to a flag from our content filters

    `null`: API response still in progress or incomplete

  - ### getIndex

    @Nullable public Integer getIndex()
    Deprecated.
    Index of choice.

  - ### getContentFilterResults

    @Nullable public OpenAiContentFilterPromptResults getContentFilterResults()
    Deprecated.
    Information about the content filtering category, if it has been detected, as well as the severity level and if it has been filtered or not.